Skip to content

Update Repo Binding

PATCH /repo-bindings/{binding_id}

404 on an unknown id. Never an upsert.

NameInTypeNotes
binding_idpathstring (uuid)required—
FieldTypeNotes
reviewer_agent_idstring (uuid) | nulloptional—
editor_agent_idstring (uuid) | nulloptional—
enabled_eventsstring[] | nulloptional—
review_configobject | nulloptional—
editor_configobject | nulloptional—
budget_configobject | nulloptional—
workspace_configobject | nulloptional—
is_activeboolean | nulloptional—
StatusDescriptionBody
200Successful ResponseRepoBindingView
422Validation ErrorHTTPValidationError
Terminal window
curl -X PATCH https://your-deployment.example.com/repo-bindings/{binding_id} \
-H "Authorization: Bearer $COBRE_TOKEN"
FieldTypeNotes
idstring (uuid)required—
installation_idintegerrequired—
repo_full_namestringrequired—
reviewer_agent_idstring (uuid) | nullrequired, nullable—
editor_agent_idstring (uuid) | nullrequired, nullable—
enabled_eventsobject[]required—
review_configobjectrequired—
editor_configobjectrequired—
budget_configobjectrequired—
workspace_configobjectrequired—
is_activebooleanrequired—
organization_idstring (uuid)required—
workspace_idstring (uuid)required—
created_atstring (date-time)required—
updated_atstring (date-time)required—